com.atid.lib.module.barcode.ssi.type

## Enum DecodeMirrorImages

- java.lang.Object
- - java.lang.Enum<DecodeMirrorImages>
  - - com.atid.lib.module.barcode.ssi.type.DecodeMirrorImages

- All Implemented Interfaces:
    IEnumType, java.io.Serializable, java.lang.Comparable<DecodeMirrorImages>

      public enum DecodeMirrorImages
      extends java.lang.Enum<DecodeMirrorImages>
      implements IEnumType

  Select an option for decoding mirror image Data Matrix bar codes (Data Matrix Only)

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `Always` decode only Data Matrix bar codes that are mirror images
    `Auto` decode both mirrored and unmirrored Data Matrix bar codes.
    `Never` do not decode Data Matrix bar codes that are mirror images

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getCode()`
    `java.lang.String` | `toString()`
    `static DecodeMirrorImages` | `valueOf(int code)`
    `static DecodeMirrorImages` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static DecodeMirrorImages[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### Never

          public static final DecodeMirrorImages Never

      do not decode Data Matrix bar codes that are mirror images

    - #### Always

          public static final DecodeMirrorImages Always

      decode only Data Matrix bar codes that are mirror images

    - #### Auto

          public static final DecodeMirrorImages Auto

      decode both mirrored and unmirrored Data Matrix bar codes.

  - ### Method Detail

    - #### values

          public static DecodeMirrorImages[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (DecodeMirrorImages c : DecodeMirrorImages.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static DecodeMirrorImages valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getCode

          public int getCode()

      Specified by:
        `getCode` in interface `IEnumType`

    - #### toString

          public java.lang.String toString()

      Specified by:
        `toString` in interface `IEnumType`
      Overrides:
        `toString` in class `java.lang.Enum<DecodeMirrorImages>`

    - #### valueOf

          public static DecodeMirrorImages valueOf(int code)